<!--面包屑导航-->
<template>
  <div class="home-main-page">
    <!-- 顶部 -->
    <div class="top-container">
      <div class="item">
        <div class="value">21,144,801.48</div>
        <div class="label">总账面价值(万元)</div>
      </div>
      <div class="item">
        <div class="value">523</div>
        <div class="label">未确权的数量</div>
      </div>
      <div class="item">
        <div class="value">12543</div>
        <div class="label">移交的资产数量</div>
      </div>
    </div>
    <!-- 中间 -->
    <div class="center-container">
      <div class="center-left">
        <PublicTitle :iconUrl="require('@/assets/img/publicTitle/icon-土地.png')" title="资产建设情况" />
        <div id="ownership-chart"></div>
      </div>
      <div class="center-center">
        <PublicTitle :iconUrl="require('@/assets/img/publicTitle/icon-土地.png')" title="资产使用情况" />
        <div id="stats-chart"></div>
      </div>
      <div class="center-right">
        <PublicTitle :iconUrl="require('@/assets/img/publicTitle/icon-土地.png')" title="未来规划">
          <el-date-picker size="mini" style="width: 160px;" v-model="value2" type="year" placeholder="选择年">
          </el-date-picker>
        </PublicTitle>
        <div id="project-chart"></div>
      </div>
    </div>
    <!-- 底部 -->
    <div class="bottom-container">
      <div class="bottom-left">
        <PublicTitle :iconUrl="require('@/assets/img/publicTitle/icon-土地.png')" title="各业态资产移交情况" />
        <div id="source-chart"></div>
      </div>
      <div class="bottom-center">
        <PublicTitle :iconUrl="require('@/assets/img/publicTitle/icon-土地.png')" title="资产维修" />
        <div id="type-chart"></div>
      </div>
      <div class="bottom-right">
        <PublicTitle :iconUrl="require('@/assets/img/publicTitle/icon-土地.png')" title="资产处置" />
        <div id="interest-chart"></div>
      </div>
    </div>
  </div>
</template>

<script>

import * as echarts from 'echarts'
import utils from '@/utils.js'
import PublicTitle from '@/components/PublicTitle/index'
import api from '@/api/assetsOperating/assetsOperating.js'
export default {
  name: 'HomePage', // 首页
  components: {
    PublicTitle,
  },
  data() {
    return {
      colorList: ['#55edb0', '#00d4ff', '#c679e5', '#198cff'],
      dataList: [
        {
          name: '商业用地',
          value: '12%',
        },
        {
          name: '住宅用地',
          value: '6%',
        },
      ],
      topStatistics: {},//顶部统计
      ownershipData: [],//权属
      statsData: [],//属性
      commercialData: [],//业态
      sourceData: [],//来源
      statusData: [],//状态
      typeData: [],//类型
      value2:'2023'
    }
  },
  watch: {},
  created() {
    this.belongStatistics()
    this.natureStatistics()
    this.sourceStatistics()
    this.statusStatistics()
    this.typeStatistics()
    this.getProjectInit()
  },
  mounted() {

  },
  methods: {
    //字典翻译
    getDictName(code, value) {
      return utils.getDictName(code, value)
    },
    belongStatistics() {
      // api.belongStatistics({}, res => {
      //   if (res.state) {
      //     this.ownershipData = res.value
      //   }
      this.$nextTick(() => {
        this.initOwnershipChat()
      })
      // })
    },
    natureStatistics() {
      // api.natureStatistics({}, res => {
      //   if (res.state) {
      //     this.statsData = res.value
      //   }
      this.$nextTick(() => {
        this.initStatsChat()
      })
      // })
    },
    sourceStatistics() {
      // api.sourceStatistics({}, res => {
      //   if (res.state) {
      //     this.sourceData = res.value
      //   }
      this.$nextTick(() => {
        this.initChat()
      })
      // })
    },
    statusStatistics() {
      // api.statusStatistics({}, res => {
      //   if (res.state) {
      //     this.statusData = res.value
      //   }
      this.$nextTick(() => {
        this.initSourceChat()
      })
      // })
    },
    typeStatistics() {
      // api.typeStatistics({}, res => {
      //   if (res.state) {
      //     this.typeData = res.value
      //   }
      this.$nextTick(() => {
        this.initTypeChat()
      })
      // })
    },
    getProjectInit() {
      this.$nextTick(() => {
        this.projectInit()
      })
    },
    //资产建设情况
    initOwnershipChat() {
      let echartsData = [
        {
          name: '已建成规模',
          value: '5',
          itemStyle: {
            color: '#55EDB0',
          },
        }, {
          name: '在建规模',
          value: '15',
          itemStyle: {
            color: '#00D4FF',
          },
        }
      ]
      // this.ownershipData.forEach((e, index) => {
      //   echartsData.push({
      //     name: this.getDictName('xmgs', e.assetBelong),
      //     value: e.count,
      //     itemStyle: {
      //       color: this.colorList[index],
      //     },
      //   })
      // })
      let chartDom = echarts.init(document.getElementById('ownership-chart'))
      let option = {
        tooltip: {
          trigger: 'item',
        },
        legend: {
          orient: 'vertical',
          top: 'middle',
          right: 90,
          selectedMode: false
        },
        series: [

          {
            name: '面积',
            type: 'pie',
            radius: ['55%', '67%'],
            center: ['35%', '48.4%'],
            avoidLabelOverlap: false,
            itemStyle: {
              borderColor: '#fff',
              borderWidth: 2,
            },
            label: {
              show: false,
              position: 'center',
            },

            emphasis: {
              label: {
                show: true,
                fontSize: 30,
                formatter: function (params) {
                  return [
                    '{num|' +
                    params.value +
                    '}' +
                    '{unit|个}',
                    '{label|' + params.name + '}',
                  ].join('\n')
                },
                rich: {
                  num: {
                    fontSize: 30,
                    color: '#000',
                    lineHeight: 30,
                    fontWeight: 700,
                  },
                  unit: {
                    fontSize: 14,
                    color: '#111',
                    lineHeight: 30,
                    padding: [0, 5],
                  },
                  label: {
                    fontSize: 20,
                    lineHeight: 30,
                    color: '#444',
                  },
                },
              },
            },
            labelLine: {
              show: false,
            },
            data: echartsData,
          },
          {
            type: 'pie',
            radius: ['50%', '50%'],
            center: ['35%', '48.4%'],
            hoverAnimation: false,
            clockWise: false,
            cursor: 'default',
            itemStyle: {
              normal: {
                borderWidth: 2,
                borderColor: '#eaeaea',
              },
            },
            tooltip: {
              show: false,
            },
            label: {
              show: false,
            },
            data: [100],
          },
          {
            type: 'gauge',
            radius: '98%',
            center: ['35%', '48.4%'],
            clockwise: true,
            startAngle: '100',
            endAngle: '-269.9999',
            splitNumber: 200, //线的条数
            pointer: {
              show: false,
            },
            axisLine: {
              show: false,
            },
            axisTick: {
              show: false,
            },
            tooltip: {
              show: false,
            },
            splitLine: {
              show: true,
              length: 15,
              lineStyle: {
                color: '#eaeaea',
                width: 1,
              },
            },
            axisLabel: {
              show: false,
            },
          },
          {
            type: 'gauge',
            radius: '83.5%',
            center: ['35%', '48.4%'],
            clockwise: true,
            startAngle: '100',
            endAngle: '-269.9999',
            splitNumber: 140, //线的条数
            pointer: {
              show: false,
            },
            axisLine: {
              show: false,
            },
            axisTick: {
              show: false,
            },
            tooltip: {
              show: false,
            },
            splitLine: {
              show: true,
              length: 1,
              lineStyle: {
                color: '#eaeaea',
                width: 2,
              },
            },
            axisLabel: {
              show: false,
            },
          },
        ],
      }
      chartDom.setOption(option)
      window.addEventListener('resize', () => {
        chartDom.resize()
      })
      handleChartLoop(option, chartDom);
      // 饼图自动轮播
      function handleChartLoop(option, myChart) {
        if (!myChart) {
          return
        }
        let currentIndex = 0 // 当前高亮图形在饼图数据中的下标
        highlightPie()
        // 取消所有高亮并高亮当前图形
        function highlightPie() {
          // 遍历饼图数据，取消所有图形的高亮效果
          for (var idx in option.series[0].data) {
            myChart.dispatchAction({
              type: 'downplay',
              seriesIndex: 0,
              dataIndex: idx
            })
          }
          // 高亮当前图形
          myChart.dispatchAction({
            type: 'highlight',
            seriesIndex: 0,
            dataIndex: currentIndex
          })
        }
        // // 用户鼠标悬浮到某一图形时，停止自动切换并高亮鼠标悬浮的图形
        myChart.on('mouseover', (params) => {
          if (params.componentType == 'graphic') {
            return
          }
          currentIndex = params.dataIndex
          highlightPie()
        })
      }
    },
    //资产使用情况
    initStatsChat() {
      let echartsData = [
        {
          name: '未使用规模',
          value: '15',
          itemStyle: {
            color: '#55EDB0',
          },
        }, {
          name: '投入使用规模',
          value: '5',
          itemStyle: {
            color: '#00D4FF',
          },
        }
      ]
      // this.statsData.forEach((e, index) => {

      //   echartsData.push({
      //     name: this.getDictName('xmsx', e.assetNature),
      //     value: e.count,
      //     itemStyle: {
      //       color: this.colorList[2 + index],
      //     },
      //   })
      // })
      let chartDom = echarts.init(document.getElementById('stats-chart'))
      let option = {
        tooltip: {
          trigger: 'item',
        },
        legend: {
          orient: 'vertical',
          top: 'middle',
          right: 90,
          selectedMode: false
        },
        series: [
          {
            name: '面积',
            type: 'pie',
            radius: ['55%', '67%'],
            center: ['35%', '48.4%'],
            avoidLabelOverlap: false,
            itemStyle: {
              borderColor: '#fff',
              borderWidth: 2,
            },
            label: {
              show: false,
              position: 'center',
            },

            emphasis: {
              label: {
                show: true,
                fontSize: 30,
                formatter: function (params) {
                  return [
                    '{num|' +
                    params.value +
                    '}' +
                    '{unit|个}',
                    '{label|' + params.name + '}',
                  ].join('\n')
                },
                rich: {
                  num: {
                    fontSize: 30,
                    color: '#000',
                    lineHeight: 30,
                    fontWeight: 700,
                  },
                  unit: {
                    fontSize: 14,
                    color: '#111',
                    lineHeight: 30,
                    padding: [0, 5],
                  },
                  label: {
                    fontSize: 20,
                    lineHeight: 30,
                    color: '#444',
                  },
                },
              },
            },
            labelLine: {
              show: false,
            },
            data: echartsData,
          },
          // 外圈背景
          {
            type: 'pie',
            radius: ['50%', '50%'],
            center: ['35%', '48.4%'],
            hoverAnimation: false,
            clockWise: false,
            cursor: 'default',
            itemStyle: {
              normal: {
                borderWidth: 2,
                borderColor: '#eaeaea',
              },
            },
            tooltip: {
              show: false,
            },
            label: {
              show: false,
            },
            data: [100],
          },
          {
            type: 'gauge',
            radius: '98%',
            center: ['35%', '48.4%'],
            clockwise: true,
            startAngle: '100',
            endAngle: '-269.9999',
            splitNumber: 200, //线的条数
            pointer: {
              show: false,
            },
            axisLine: {
              show: false,
            },
            axisTick: {
              show: false,
            },
            tooltip: {
              show: false,
            },
            splitLine: {
              show: true,
              length: 15,
              lineStyle: {
                color: '#eaeaea',
                width: 1,
              },
            },
            axisLabel: {
              show: false,
            },
          },
          {
            type: 'gauge',
            radius: '83.5%',
            center: ['35%', '48.4%'],
            clockwise: true,
            startAngle: '100',
            endAngle: '-269.9999',
            splitNumber: 140, //线的条数
            pointer: {
              show: false,
            },
            axisLine: {
              show: false,
            },
            axisTick: {
              show: false,
            },
            tooltip: {
              show: false,
            },
            splitLine: {
              show: true,
              length: 1,
              lineStyle: {
                color: '#eaeaea',
                width: 2,
              },
            },
            axisLabel: {
              show: false,
            },
          },

        ],
      }
      chartDom.setOption(option)
      window.addEventListener('resize', () => {
        chartDom.resize()
      })
      handleChartLoop(option, chartDom);
      // 饼图自动轮播
      function handleChartLoop(option, myChart) {
        if (!myChart) {
          return
        }
        let currentIndex = 0 // 当前高亮图形在饼图数据中的下标
        highlightPie()
        // 取消所有高亮并高亮当前图形
        function highlightPie() {
          // 遍历饼图数据，取消所有图形的高亮效果
          for (var idx in option.series[0].data) {
            myChart.dispatchAction({
              type: 'downplay',
              seriesIndex: 0,
              dataIndex: idx
            })
          }
          // 高亮当前图形
          myChart.dispatchAction({
            type: 'highlight',
            seriesIndex: 0,
            dataIndex: currentIndex
          })
        }
        // // 用户鼠标悬浮到某一图形时，停止自动切换并高亮鼠标悬浮的图形
        myChart.on('mouseover', (params) => {
          console.log(1);
          if (params.componentType == 'graphic') {
            return
          }
          currentIndex = params.dataIndex
          highlightPie()
        })

      }
    },
    // 资产维修
    initTypeChat() {
      let echartsData = [
        {
          name: '未维修',
          value: 5,
          itemStyle: {
            color: '#FFAE5E',
          },
        }, {
          name: '正在维修',
          value: 5,
          itemStyle: {
            color: '#55EDB0 ',
          },
        }, {
          name: '已维修',
          value: 15,
          itemStyle: {
            color: '#66B2FF ',
          },
        }
      ]
      // this.typeData.forEach((e, index) => {
      //   echartsData.push({
      //     name: this.getDictName('zclx', e.assetType),
      //     value: e.count,
      //     itemStyle: {
      //       color: this.colorList[index],
      //     },
      //   })
      // })
      let chartDom = echarts.init(document.getElementById('type-chart'))
      let option = {
        tooltip: {
          trigger: 'item',
        },
        legend: {
          orient: 'vertical',
          top: 'middle',
          right: 110,
          selectedMode: false
        },
        series: [
          {
            name: '面积',
            type: 'pie',
            radius: ['55%', '67%'],
            center: ['35%', '48.4%'],
            avoidLabelOverlap: false,
            itemStyle: {
              borderColor: '#fff',
              borderWidth: 2,
            },
            label: {
              show: false,
              position: 'center',
            },

            emphasis: {
              label: {
                show: true,
                fontSize: 30,
                formatter: function (params) {
                  return [
                    '{num|' +
                    params.value +
                    '}' +
                    '{unit|个}',
                    '{label|' + params.name + '}',
                  ].join('\n')
                },
                rich: {
                  num: {
                    fontSize: 30,
                    color: '#000',
                    lineHeight: 30,
                    fontWeight: 700,
                  },
                  unit: {
                    fontSize: 14,
                    color: '#111',
                    lineHeight: 30,
                    padding: [0, 5],
                  },
                  label: {
                    fontSize: 20,
                    lineHeight: 30,
                    color: '#444',
                  },
                },
              },
            },
            labelLine: {
              show: false,
            },
            data: echartsData,
          },
          // 外圈背景
          {
            type: 'pie',
            radius: ['50%', '50%'],
            center: ['35%', '48.4%'],
            hoverAnimation: false,
            clockWise: false,
            cursor: 'default',
            itemStyle: {
              normal: {
                borderWidth: 2,
                borderColor: '#eaeaea',
              },
            },
            tooltip: {
              show: false,
            },
            label: {
              show: false,
            },
            data: [100],
          },
          {
            type: 'gauge',
            radius: '98%',
            center: ['35%', '48.4%'],
            clockwise: true,
            startAngle: '100',
            endAngle: '-269.9999',
            splitNumber: 200, //线的条数
            pointer: {
              show: false,
            },
            axisLine: {
              show: false,
            },
            axisTick: {
              show: false,
            },
            tooltip: {
              show: false,
            },
            splitLine: {
              show: true,
              length: 15,
              lineStyle: {
                color: '#eaeaea',
                width: 1,
              },
            },
            axisLabel: {
              show: false,
            },
          },
          {
            type: 'gauge',
            radius: '83.5%',
            center: ['35%', '48.4%'],
            clockwise: true,
            startAngle: '100',
            endAngle: '-269.9999',
            splitNumber: 140, //线的条数
            pointer: {
              show: false,
            },
            axisLine: {
              show: false,
            },
            axisTick: {
              show: false,
            },
            tooltip: {
              show: false,
            },
            splitLine: {
              show: true,
              length: 1,
              lineStyle: {
                color: '#eaeaea',
                width: 2,
              },
            },
            axisLabel: {
              show: false,
            },
          },


        ],
      }
      chartDom.setOption(option)
      window.addEventListener('resize', () => {
        chartDom.resize()
      })
      handleChartLoop(option, chartDom);
      // 饼图自动轮播
      function handleChartLoop(option, myChart) {
        if (!myChart) {
          return
        }
        let currentIndex = 0 // 当前高亮图形在饼图数据中的下标
        highlightPie()
        // 取消所有高亮并高亮当前图形
        function highlightPie() {
          // 遍历饼图数据，取消所有图形的高亮效果
          for (var idx in option.series[0].data) {
            myChart.dispatchAction({
              type: 'downplay',
              seriesIndex: 0,
              dataIndex: idx
            })
          }
          // 高亮当前图形
          myChart.dispatchAction({
            type: 'highlight',
            seriesIndex: 0,
            dataIndex: currentIndex
          })
        }
        // // 用户鼠标悬浮到某一图形时，停止自动切换并高亮鼠标悬浮的图形
        myChart.on('mouseover', (params) => {
          if (params.componentType == 'graphic') {
            return
          }
          currentIndex = params.dataIndex
          highlightPie()
        })
      }
    },
    // 未来规划
    projectInit() {
      let xData = ['殡并', '城镇村道路', '工业', '公路', '公用设施', '公园与绿地', '交通服务场站', '教育', '零售商业', '商务金融', '其他商服', '社会福利']
      let bookData = [22, 44, 22, 11, 20, 44, 23, 56, 77, 44, 42, 31]
      let structureData = [22, 44, 22, 11, 20, 44, 23, 56, 77, 44, 42, 31]
      let chartDom = echarts.init(
        document.getElementById('project-chart')
      )
      let option = {
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            // 坐标轴指示器，坐标轴触发有效
            type: 'shadow', // 默认为直线，可选为：'line' | 'shadow'
          },
        },
        legend: {
          data: ['账面净值', '面积'],
          align: 'left',
          padding: [15, 0, 0, 0],
        },
        grid: {
          left: '3%',
          right: '4%',
          bottom: '0',
          containLabel: true,
        },
        xAxis: [
          {
            type: 'category',
            data: xData,
            axisTick: {
              show: false,
            },
            axisLabel: {
              interval: 0, //坐标刻度之间的显示间隔，默认就可以了（默认是不重叠）
              rotate: 38   //调整数值改变倾斜的幅度（范围-90到90）
            },
            axisLine: {
              show: true,
              lineStyle: {
                color: '#A1A9B2', // 浅灰色
              },
            },
          },
        ],
        yAxis: [
          {
            type: 'value',
            name: '单位：万元',
            axisLabel: {
              formatter: '{value}',
            },
            splitLine: {
              show: false,
            },
            axisLine: {
              show: true,
              lineStyle: {
                color: '#A1A9B2', // 浅灰色
              },
            },
          },
          {
            type: 'value',
            name: '单位：㎡',
            axisLabel: {
              formatter: '{value}',
            },
            position: 'right',
            splitLine: {
              show: false,
            },
            axisLine: {
              show: true,
              lineStyle: {
                color: '#A1A9B2', // 浅灰色
              },
            },
          },
        ],
        series: [
          {
            name: '账面净值',
            type: 'bar',
            data: bookData,
            barWidth: '15',
            yAxisIndex: 0,
            itemStyle: {
              color: {
                type: 'linear',
                x: 0,
                y: 0,
                x2: 0,
                y2: 1,
                colorStops: [
                  {
                    offset: 0,
                    color: '#55EDB0', // 渐变起始颜色（绿色）
                  },
                  {
                    offset: 1,
                    color: 'rgba(85,237,176,0.2)', // 渐变结束颜色（深绿色）
                  },
                ],
              },
              borderRadius: [3, 3, 0, 0], // 设置圆角大小
            },
          },
          {
            name: '面积',
            type: 'bar',
            data: structureData,
            barWidth: '15',
            yAxisIndex: 1,
            itemStyle: {
              color: {
                type: 'linear',
                x: 0,
                y: 0,
                x2: 0,
                y2: 1,
                colorStops: [
                  {
                    offset: 0,
                    color: '#8AC4FF', // 渐变起始颜色（绿色）
                  },
                  {
                    offset: 1,
                    color: 'rgba(51,153,255,0.2)', // 渐变结束颜色（深绿色）
                  },
                ],
              },
              borderRadius: [3, 3, 0, 0], // 设置圆角大小
            },
          },
        ],
      }
      chartDom.setOption(option)
      window.addEventListener('resize', () => {
        chartDom.resize()
      })
    },
    // 资产处置
    initChat() {
      let xData = ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月']
      let bookData = [22, 44, 22, 11, 20, 44, 23, 56, 77, 44, 42, 31]
      let bookData1 = [12, 24, 12, 1, 10, 34, 13, 36, 57, 14, 12, 21]

      let chartDom = echarts.init(
        document.getElementById('interest-chart')
      )
      let option = {
        tooltip: {
          trigger: 'axis', // 设置触发类型为坐标轴轴线触发
        },
        legend: {
          data: ['资产转让', '资产报废'],
          align: 'left',
          padding: [15, 0, 0, 0],
        },
        grid: {
          top: '21%',
          bottom: '5%',
          right: '5%',
        },
        xAxis: {
          type: 'category',
          data: xData,
          boundaryGap: false,
          axisTick: {
            show: false,
          },
          axisLine: {
            show: true,
            lineStyle: {
              color: '#A1A9B2', // 浅灰色
            },
          },
        },
        yAxis: {
          type: 'value',
          name: '单位：万元',
          min: 0,
          axisLine: {
            show: true,
            lineStyle: {
              color: '#A1A9B2', // 浅灰色
            },
          },
          splitLine: {
            show: false,
          },
        },
        series: [
          {
            name: '资产转让',
            type: 'line',
            data: bookData,
            type: 'line',
            smooth: true,
            // symbol: 'none', // 取消小圆点的显示
            showSymbol: false, // 取消小圆点的显示
            lineStyle: {
              color: '#55EDB0', // 设置线条的颜色为红色
            },
          }, {
            name: '资产报废',
            type: 'line',
            data: bookData1,
            type: 'line',
            smooth: true,
            // symbol: 'none', // 取消小圆点的显示
            showSymbol: false, // 取消小圆点的显示
            lineStyle: {
              color: '#FFAE5E', // 设置线条的颜色为红色
            },
          },
        ],
      }
      chartDom.setOption(option)
      window.addEventListener('resize', () => {
        chartDom.resize()
      })
    },
    // 各业态资产移交情况
    initSourceChat() {
      let xData = ['殡并', '城镇村道路', '工业', '公路', '公用设施', '公园与绿地', '交通服务场站', '教育', '零售商业', '商务金融']
      let bookData = [23, 33, 41, 15, 32, 45, 32, 13, 54, 76]
      // this.statusData.forEach(e => {
      //   xData.push(this.getDictName('zczt', e.assetStatus))
      //   bookData.push(e.bookValue)
      //   structureData.push(e.structure_area_)
      // })
      let chartDom = echarts.init(
        document.getElementById('source-chart')
      )
      let option = {
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            // 坐标轴指示器，坐标轴触发有效
            type: 'shadow', // 默认为直线，可选为：'line' | 'shadow'
          },
        },
        legend: {
          data: ['总数', '已移交'],
          align: 'left',
          padding: [15, 0, 0, 0],
        },
        grid: {
          left: '3%',
          right: '4%',
          bottom: '0',
          containLabel: true,
        },
        xAxis: [
          {
            type: 'category',
            data: xData,
            axisTick: {
              show: false,
            },
            axisLabel: {
              interval: 0, //坐标刻度之间的显示间隔，默认就可以了（默认是不重叠）
              rotate: 38   //调整数值改变倾斜的幅度（范围-90到90）
            },
            axisLine: {
              show: true,
              lineStyle: {
                color: '#A1A9B2', // 浅灰色
              },
            },
          },
        ],
        yAxis: [
          {
            type: 'value',
            name: '单位：亩',
            axisLabel: {
              formatter: '{value}',

            },
            splitLine: {
              show: false,
            },
            axisLine: {
              show: true,
              lineStyle: {
                color: '#A1A9B2', // 浅灰色
              },
            },
          }
        ],
        series: [
          {
            name: '已移交',
            type: 'bar',
            data: bookData,
            barWidth: '15',
            stack: 'user',
            itemStyle: {
              color: '#55EDB0', // 渐变起始颜色（绿色）
            },
          },
          {
            name: '总数',
            type: 'bar',
            data: bookData,
            barWidth: '15',
            stack: 'user',
            itemStyle: {
              color: '#66B2FF', // 渐变起始颜色（绿色）
              borderRadius: [3, 3, 0, 0], // 设置圆角大小
            },
          },
        ],
      }
      chartDom.setOption(option)
      window.addEventListener('resize', () => {
        chartDom.resize()
      })
    },

  },
  beforeDestroy() { },
}
</script>

<style lang="scss" scoped>
.home-main-page {
  box-sizing: border-box;
  padding: 15px 0;
  width: 100%;
  height: 100%;
  padding: 16px 24px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;

  .top-container {
    width: 100%;
    height: 16%;
    display: flex;
    background: linear-gradient(180deg, #CCE5FF 0%, #EEF8FF 100%);
    border-radius: 16px 16px 16px 16px;
    opacity: 1;
    border: 1px solid;
    border-image: linear-gradient(180deg, rgba(238.00000101327896, 248.0000004172325, 255, 1), rgba(255, 255, 255, 1)) 1 1;
    padding: 24px 0;
    box-sizing: border-box;

    .item {
      flex: 1;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      border-right: 1px solid #fff;

      .value {
        font-size: 26px;
        font-weight: 700;
        color: #0f2a4d;
      }

      .label {
        font-size: 16px;
        font-weight: 700;
        color: #0f2a4d;
      }

      &:nth-child(4) {
        border-right: none;
      }
    }
  }

  .center-container {
    width: 100%;
    height: 40%;
    display: flex;
    justify-content: space-between;

    .center-left {
      width: 30%;
      height: 100%;
      padding: 16px;
      box-sizing: border-box;
      background: #FFFFFF;
      box-shadow: 4px 4px 10px 0px rgba(53, 152, 220, 0.1);
      border-radius: 16px 16px 16px 16px;
      opacity: 1;

      #ownership-chart {
        width: 100%;
        height: calc(100% - 30px);
      }
    }

    .center-center {
      width: 30%;
      height: 100%;
      padding: 16px;
      box-sizing: border-box;
      background: #FFFFFF;
      box-shadow: 4px 4px 10px 0px rgba(53, 152, 220, 0.1);
      border-radius: 16px 16px 16px 16px;
      opacity: 1;

      #stats-chart {
        width: 100%;
        height: calc(100% - 30px);
      }
    }

    .center-right {
      width: calc(40% - 32px);
      height: 100%;
      padding: 16px;
      box-sizing: border-box;
      background: #FFFFFF;
      box-shadow: 4px 4px 10px 0px rgba(53, 152, 220, 0.1);
      border-radius: 16px 16px 16px 16px;
      opacity: 1;

      #project-chart {
        width: 100%;
        height: calc(100% - 30px);
      }

    }
  }

  .bottom-container {
    width: 100%;
    height: 40%;
    display: flex;
    justify-content: space-between;

    .bottom-left {
      width: calc(33.3% - 10px);

      height: 100%;
      padding: 16px;
      box-sizing: border-box;
      background: #FFFFFF;
      box-shadow: 4px 4px 10px 0px rgba(53, 152, 220, 0.1);
      border-radius: 16px 16px 16px 16px;
      opacity: 1;

      #source-chart {
        width: 100%;
        height: calc(100% - 30px);
      }
    }

    .bottom-center {
      width: calc(33.3% - 10px);
      height: 100%;
      padding: 16px;
      box-sizing: border-box;
      background: #FFFFFF;
      box-shadow: 4px 4px 10px 0px rgba(53, 152, 220, 0.1);
      border-radius: 16px 16px 16px 16px;
      opacity: 1;

      #type-chart {
        width: 100%;
        height: calc(100% - 30px);
      }
    }

    .bottom-right {
      width: calc(33.3% - 10px);
      height: 100%;
      padding: 16px;
      box-sizing: border-box;
      background: #FFFFFF;
      box-shadow: 4px 4px 10px 0px rgba(53, 152, 220, 0.1);
      border-radius: 16px 16px 16px 16px;
      opacity: 1;

      #interest-chart {
        width: 100%;
        height: calc(100% - 30px);
      }
    }

  }
}
</style>
